%define version 2.10.0
%define release 2mdk

%define major 	2
%define api_version 2.6
%define libname %mklibname xml++ %{api_version}

Name: 		libxml++
Summary: 	C++ interface for working with XML files
Version: 	%{version}
Release: 	%{release}
Source:		http://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
Source1: libxml++-2.9.2-missing.tar.bz2
URL:		http://libxmlplusplus.sf.net/
License:	LGPL
Group:		System/Libraries
BuildRoot:	%{_tmppath}/libxmlpp-%{version}-buildroot
BuildRequires:	libxml2-devel >= 2.6.1 glibmm2.4-devel >= 2.4.0
BuildRequires:	doxygen

%description
libxml++ is a C++ interface for working with XML files, using libxml
(gnome-xml) to parse and write the actual XML files. It has a simple
but complete API.

%package	-n %{libname}_%{major}
Summary: 	C++ interface for working with XML files
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}
Provides:	%{libname} = %{version}-%{release}

%description	-n %{libname}_%{major}
libxml++ is a C++ interface for working with XML files, using libxml
(gnome-xml) to parse and write the actual XML files. It has a simple
but complete API.

%package	-n %{libname}_%{major}-devel
Summary:	Headers for developing programs that will use %name
Group:		Development/C++
Provides:	%{libname}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname}_%{major} = %{version}

%description	-n %{libname}_%{major}-devel
This package contains the headers that programmers will need to develop
applications which will use libraries from %name.

%prep
%setup -q -a 1

%build
%configure2_5x
%make

### Build doc
pushd docs/reference
  perl -pi -e 's/^(HAVE_DOT.*=) YES/$1 NO/' Doxyfile
  make all
popd

%install
rm -rf $RPM_BUILD_ROOT installed-docs
%makeinstall_std
mv %buildroot%_datadir/doc/libxml++-2.6/docs installed-docs

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname}_%{major} -p /sbin/ldconfig
%postun -n %{libname}_%{major} -p /sbin/ldconfig

%files -n %{libname}_%{major}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{libname}_%{major}-devel
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README installed-docs/*
%{_includedir}/*
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la

%changelog
* Mon May  9 2005 Gtz Waschk <waschk@mandriva.org> 2.10.0-2mdk
- fix deps for x86_64

* Mon Apr 18 2005 Gtz Waschk <waschk@linux-mandrake.com> 2.10.0-1mdk
- New release 2.10.0

* Mon Feb 14 2005 Gtz Waschk <waschk@linux-mandrake.com> 2.9.2-0.1gpw
- add the docs
- add missing source file

* Mon Feb 14 2005 Götz Waschk <waschk@linux-mandrake.com> 2.9.2-1gpw
- New release 2.9.2

* Mon Dec 27 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.9.1-0.1gpw
- New release 2.9.1

* Tue Dec 21 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.8.1-1mdk
- new major
- New release 2.8.1

* Thu Nov 11 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.8.0-1mdk
- fix source URL
- update deps
- New release 2.8.0

* Mon Aug  2 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.6.1-2mdk
- fix buildrequires

* Thu Jul 15 2004 Austin Acton <austin@mandrake.org> 2.6.1-1mdk
- 2.6.1

* Sat Jun 05 2004 Abel Cheung <deaddog@deaddog.org> 1.0.4-2mdk
- Rebuild with new gcc

* Thu May 27 2004 Abel Cheung <deaddog@deaddog.org> 1.0.4-1mdk
- New version
- Drop source1 (inside tarball now)

* Sun May 16 2004 Abel Cheung <deaddog@deaddog.org> 1.0.3-2mdk
- And install missing header too

* Fri May 14 2004 Abel Cheung <deaddog@deaddog.org> 1.0.3-1mdk
- New version
- Source1: bundle missing file

* Mon Feb 09 2004 Abel Cheung <deaddog@deaddog.org> 1.0.1-1mdk
- New version

* Wed Jan 21 2004 Abel Cheung <deaddog@deaddog.org> 1.0.0-1mdk
- New version
- New API, so don't need to provide compatibility for old one

* Thu Oct 02 2003 Abel Cheung <deaddog@deaddog.org> 0.26.0-2mdk
- devel package Requires pkgconfig

* Thu Oct 02 2003 Abel Cheung <deaddog@deaddog.org> 0.26.0-1mdk
- 0.26.0
- mklibname, including API version into libname
- Obsoletes old libxml++-devel RPM without API version

* Tue Jul 15 2003 Austin Acton <aacton@yorku.ca> 0.24.0-2mdk
- rebuild for rpm
- DIRM

* Thu Jul 7 2003 Austin Acton <aacton@yorku.ca> 0.24.0-1mdk
- 0.24.0
- major 10

* Wed May 21 2003 Austin Acton <aacton@yorku.ca> 0.23.0-1mdk
- 0.23.0

* Thu Jan 16 2003 Austin Acton <aacton@yorku.ca> 0.20.0-1mdk
- initial package
